/*!
 * @file    	apm32f10x_it.c
 * @brief	 	Main Interrupt Service Routines
 *
 * @details		
 *
 * @version		V1.0.0
 * @author  	
 * @date    	2019-9-3
 *
 */

/*!
 * @brief		This function handles NMI exception
 *
 * @param		None
 *
 * @retval		None
 *
 * @see 
 *
 * @note 
 */  
void NMI_Handler(void)
{
}

/*!
 * @brief		This function handles Hard Fault exception
 *
 * @param		None
 *
 * @retval		None
 *
 * @see 
 *
 * @note 
 */
void HardFault_Handler(void)
{
  /* Go to infinite loop when Hard Fault exception occurs */
  while (1)
  {
  }
}

/*!
 * @brief		This function handles Memory Manage exception
 *
 * @param		None
 *
 * @retval		None
 *
 * @see 
 *
 * @note 
 */
void MemManage_Handler(void)
{
  /* Go to infinite loop when Memory Manage exception occurs */
  while (1)
  {
  }
}


/*!
 * @brief		This function handles Bus Fault exception
 *
 * @param		None
 *
 * @retval		None
 *
 * @see 
 *
 * @note 
 */
void BusFault_Handler(void)
{
  /* Go to infinite loop when Bus Fault exception occurs */
  while (1)
  {
  }
}

/*!
 * @brief		This function handles Usage Fault exception
 *
 * @param		None
 *
 * @retval		None
 *
 * @see 
 *
 * @note 
 */
void UsageFault_Handler(void)
{
  /* Go to infinite loop when Usage Fault exception occurs */
  while (1)
  {
  }
}

/*!
 * @brief		This function handles SVCall exception
 *
 * @param		None
 *
 * @retval		None
 *
 * @see 
 *
 * @note 
 */
void SVC_Handler(void)
{
}

/*!
 * @brief		This function handles Debug Monitor exception
 *
 * @param		None
 *
 * @retval		None
 *
 * @see 
 *
 * @note 
 */
void DebugMon_Handler(void)
{
}

/*!
 * @brief		This function handles PendSV_Handler exception
 *
 * @param		None
 *
 * @retval		None
 *
 * @see 
 *
 * @note 
 */
void PendSV_Handler(void)
{
}


/*!
 * @brief		This function handles SysTick Handler
 *
 * @param		None
 *
 * @retval		None
 *
 * @see 
 *
 * @note 
 */
void SysTick_Handler(void)
{
}


